Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.support
Class OsgiAnnotationPostProcessor

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.support.OsgiAnnotationPostProcessor

All Implemented Interfaces:
  OsgiBeanFactoryPostProcessor

    public class OsgiAnnotationPostProcessor

extends Object
implements OsgiBeanFactoryPostProcessor

Post processor used for processing Spring-DM annotations.

Author:
  Costin Leau

Constructor Summary
`OsgiAnnotationPostProcessor()`

Method Summary
`void` | `postProcessBeanFactory(org.osgi.framework.BundleContext bundleContext, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)` Modifies the application context's internal bean factory after its standard initialization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiAnnotationPostProcessor

    public OsgiAnnotationPostProcessor()

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(org.osgi.framework.BundleContext bundleContext,
                                       org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                throws org.springframework.beans.BeansException,
                                       OsgiException

  Description copied from interface: `OsgiBeanFactoryPostProcessor`
  Modifies the application context's internal bean factory after its standard initialization. All bean definitions will have been loaded, but no beans will have been instantiated yet. This allows for overriding or adding properties even to eager-initializing beans.

  Specified by:
    `postProcessBeanFactory` in interface `OsgiBeanFactoryPostProcessor`
  Parameters:
    `bundleContext` - bundle
    `beanFactory` - the bean factory used by the application context
  Throws:
    `org.springframework.beans.BeansException` - in case of factory errors
    `OsgiException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.